<div
  cdkDropList
  #partialList="cdkDropList"
  [cdkDropListData]="items"
  class="example-list"
  (cdkDropListDropped)="drop($event)"
>
  <div
    class="example-box"
    *ngFor="let item of items; let index = index"
    cdkDrag
  >
    <div fxFlexLayout="row" fxLayoutGap="20px" fxLayoutAlign="center center">
      <div fxFlex="grow">
        <ng-template
          [ngTemplateOutlet]="itemTemplate"
          [ngTemplateOutletContext]="{ $implicit: item, index: index }"
        >
        </ng-template>
      </div>
      <div fxFlex="nogrow" *ngIf="enableEdit">
        <button mat-mini-fab color="primary" (click)="editClick(index)">
          <mat-icon>edit</mat-icon>
        </button>
      </div>
      <div
        fxFlex="nogrow"
        *ngIf="enableRemove && !enableDeleteConfirmMessage; else withConfirm"
      >
        <button mat-mini-fab color="primary" (click)="removeClick(index)">
          <mat-icon>delete</mat-icon>
        </button>
      </div>
      <ng-template #withConfirm>
        <div fxFlex="nogrow" *ngIf="enableRemove">
          <button
            dinamoConfirm
            mat-mini-fab
            color="primary"
            (click)="removeClick(index)"
          >
            <mat-icon>delete</mat-icon>
          </button>
        </div>
      </ng-template>
      <div
        fxFlex="nogrow"
        class="cdk-drag-handle"
        *ngIf="enableDrag"
        cdkDragHandle
      >
        <button mat-mini-fab color="primary">
          <svg width="24px" fill="#fff" viewBox="0 0 24 24">
            <path
              d="M10 9h4V6h3l-5-5-5 5h3v3zm-1 1H6V7l-5 5 5 5v-3h3v-4zm14 2l-5-5v3h-3v4h3v3l5-5zm-9 3h-4v3H7l5 5 5-5h-3v-3z"
            ></path>
            <path d="M0 0h24v24H0z" fill="none"></path>
          </svg>
        </button>
      </div>
    </div>
  </div>
  <button
    *ngIf="isIndex"
    class="new"
    mat-fab
    color="primary"
    (click)="createNewItem($event)"
  >
    <mat-icon>add</mat-icon>
  </button>
</div>
